Bug 722781 - Review Request: wmcube - Dockapp with a rotating 3d-object and the current CPU load
Summary: Review Request: wmcube - Dockapp with a rotating 3d-object and the current CP...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-17 18:28 UTC by Mario Blättermann
Modified: 2011-08-22 15:29 UTC (History)
3 users (show)

Fixed In Version: wmcube-0.98-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-10 03:21:35 UTC
Type: ---
martin.gieseking: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2011-07-17 18:28:34 UTC
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmcube.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/wmcube-0.98-1.fc15.src.rpm
Description:
wmCube is a dockapp that displays a realtime rotating 3d-object 
and the current CPU load.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3205500

Again, we have the problem with the old FSF address here. And again, it is not really needed to patch the files, as already mentioned in other review requests.

Comment 1 Mario Blättermann 2011-07-19 19:54:40 UTC
I've tweaked the package a bit. The *.wmc files were not installed. The manpage had an executable bit set. I've corrected these issues. Release number has not been bumped, because nobody has obviously had a look at this review request.

The file links are still valid.

Comment 2 Martin Gieseking 2011-07-30 20:10:14 UTC
The package looks almost fine and works as expected. Just a few minor things to be fixed:

- Don't add a compressed manpage in Source1. Provide and install the plain 
  manpage and let rpmbuild compress it automatically.

- Ensure that the Source0 file get permission 644 in the SRPM.

- As upstream is dead, I suggest to patch the correct FSF address into 
  COPYING. The source file headers don't need to be fixed.

- Don't mix $RPM_BUILD_ROOT and %buildroot. If you prefer using 
  $RPM_BUILD_ROOT, also prefer $RPM_OPT_FLAGS over %optflags.

- Remove README and CONTRIBUTE from %{_datadir}/%{name}/3dObjects/ and add 
  them as additional %docs (README needs to be renamed in order to not
  collide with the main README, e.g. README.3dobjects or the like).

- As you don't intend targeting EPEL, you can drop the %defattr line as well.
  But that's optional.


$ rpmlint /var/lib/mock/fedora-15-x86_64/result/*.rpm
wmcube.src: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Paddock
wmcube.src: W: spelling-error Summary(de) Dockapp -> Doppelpack
wmcube.src: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
wmcube.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
wmcube.src: W: strange-permission wmcube.1.gz 0400L
wmcube.x86_64: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Paddock
wmcube.x86_64: W: spelling-error Summary(de) Dockapp -> Doppelpack
wmcube.x86_64: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
wmcube.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
wmcube.x86_64: E: incorrect-fsf-address /usr/share/doc/wmcube-0.98/COPYING
wmcube-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcube/wmgeneral/misc.c
wmcube-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcube/wmgeneral/list.c
wmcube-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcube/wmgeneral/list.h
3 packages and 0 specfiles checked; 4 errors, 9 warnings.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv2 according to incomplete source file headers
    
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum wmcube-0.98.tar.gz*
    efc6f484c53f0a98a76925a6e1a74cd3  wmcube-0.98.tar.gz
    efc6f484c53f0a98a76925a6e1a74cd3  wmcube-0.98.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[+] MUST: When compiling C, C++, or Fortran files, %{optflags} must be applied.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[X] MUST: Permissions on files must be set properly.
    - set permissions of SOURCE1 to 644

[X] MUST: Each package must consistently use macros.
    - mixed use of RPM_BUILD_ROOT and %buildroot

[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

EPEL <= 5 only:
[X] MUST: The spec file must contain a valid BuildRoot field.
[X] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[X] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Your package should contain man pages for binaries/scripts.

Comment 3 Mario Blättermann 2011-07-31 11:05:08 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3241035

I've changed all occurences of $RPM_BUILD_ROOT to %{buildroot}.
The %defattr macro has been removed.
Extra doc files for 3dObjects now reside in %doc.
The original COPYING with the old FSF address has been replaced by a new one.
Manpage is now plain text, unpacked.

Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmcube.spec
SRPM URL:
http://mariobl.fedorapeople.org/Review/SRPMS/wmcube-0.98-2.fc15.src.rpm

Comment 4 Martin Gieseking 2011-07-31 11:59:27 UTC
There are still two small issues (see rpmlint output below):

- Change the permissions of the original manpage (the file in your 
  ~/rpmbuild/SOURCES folder) to 644.

- Convert file CONTRIBUTE to UTF8 in %prep, e.g. like this:
  cd 3dObjects/
  iconv -f iso-8859-1 -t utf8 CONTRIBUTE > CONTRIBUTE.new
  touch -r CONTRIBUTE CONTRIBUTE.new
  mv CONTRIBUTE.new CONTRIBUTE


$ rpmlint *.rpm
wmcube.src: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Paddock
wmcube.src: W: spelling-error Summary(de) Dockapp -> Doppelpack
wmcube.src: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
wmcube.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
wmcube.src: W: strange-permission wmcube.1 0600L
wmcube.x86_64: W: spelling-error Summary(en_US) Dockapp -> Dock app, Dock-app, Paddock
wmcube.x86_64: W: spelling-error Summary(de) Dockapp -> Doppelpack
wmcube.x86_64: W: spelling-error %description -l en_US dockapp -> dock app, dock-app, paddock
wmcube.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
wmcube.x86_64: W: file-not-utf8 /usr/share/doc/wmcube-0.98/CONTRIBUTE
wmcube-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcube/wmgeneral/misc.c
wmcube-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcube/wmgeneral/list.c
wmcube-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmcube/wmgeneral/list.h
3 packages and 0 specfiles checked; 3 errors, 10 warnings.

Comment 5 Mario Blättermann 2011-07-31 13:22:49 UTC
(In reply to comment #4)
> There are still two small issues (see rpmlint output below):
> 
> - Change the permissions of the original manpage (the file in your 
>   ~/rpmbuild/SOURCES folder) to 644.
> 
> - Convert file CONTRIBUTE to UTF8 in %prep, e.g. like this:
>   cd 3dObjects/
>   iconv -f iso-8859-1 -t utf8 CONTRIBUTE > CONTRIBUTE.new
>   touch -r CONTRIBUTE CONTRIBUTE.new
>   mv CONTRIBUTE.new CONTRIBUTE

OK, done. The file links are still valid. Release number hasn't been bumped.

Comment 6 Martin Gieseking 2011-07-31 18:38:00 UTC
OK, looks good now.

----------------
Package APPROVED
----------------

Comment 7 Mario Blättermann 2011-07-31 18:56:48 UTC
Many thanks for your approval.


New Package SCM Request
=======================
Package Name: wmcube
Short Description: Dockapp with a rotating 3d-object and the current CPU load
Owners: mariobl
Branches: f15 f16

Comment 8 Gwyn Ciesla 2011-07-31 19:39:16 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-07-31 20:06:07 UTC
wmcube-0.98-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wmcube-0.98-2.fc16

Comment 10 Fedora Update System 2011-07-31 20:06:15 UTC
wmcube-0.98-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wmcube-0.98-2.fc15

Comment 11 Fedora Update System 2011-08-02 02:02:23 UTC
wmcube-0.98-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2011-08-10 03:21:30 UTC
wmcube-0.98-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-08-22 15:29:09 UTC
wmcube-0.98-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.